set svnpath=svn://dev.webdev.ouj.com/pub/wxgame/eosbaccarat/
set svntemp=./temp/pubsvn/
set taskurl=http://dev.webdev.ouj.com/index.php?r=deploy/index&task_id=122
set respath=./bin-release/web/eosbaccarat/*

echo '****** pull lastest git version ******'
call git pull

echo ****** clean egret publish file ******
call egret clean
echo ****** publish ******
call egret publish --version eosbaccarat

echo ****** svn checkout %svnpath% %svntemp% ******
svn checkout %svnpath% %svntemp%

echo ****** move assets to svn ******
cp -rf %respath% %svntemp%


echo ****** commit svn ******
cd %svntemp%
svn add --force * --auto-props --parents --depth infinity -q
svn commit -m 'commit'

echo ****** clean svn temp  ******
cd ../../ && rd /s /q temp

echo ****** open publish system website ******
start http://dev.webdev.ouj.com/index.php?r=deploy/index&task_id=122

pause

